%global commit 05bb8d4704a601e660dcd146caf5899d4a4cc5cc

Name:           lv2-fabla
Version:        1.3
Release:        %mkrel -c git20170505 1
Summary:        An LV2 drum sampler
Group:          Sound/Midi
License:        GPLv2+
URL:            http://openavproductions.com/fabla/
Source0:        https://github.com/harryhaaren/openAV-Fabla/archive/%{commit}.zip
BuildRequires:  pkgconfig(ntk)
BuildRequires:  pkgconfig(sndfile)
BuildRequires:  pkgconfig(cairomm-1.0)
BuildRequires:  pkgconfig(lv2)
BuildRequires:  cmake
Requires:       lv2

%description
%{name} is a drum sampler plugin instrument. It is ideal for loading up your
favorite sampled sounds and bashing away on a MIDI controller. Or if it’s 
crafty beat programming your after that’s cool too! The ADSR envelope allows
the shaping of hi-hats and kicks while the compressor beefs up the sound for 
those thumping kicks!
Additional presets can be found at:
   https://github.com/harryhaaren/openAV-presets

%prep
%setup -q -n openAV-Fabla-%{commit}
sed -i -e  's|lib/|%{_lib}/|g'  -e 's|\-Wall|%{optflags}|g' CMakeLists.txt
%ifnarch %{ix86} x86_64
sed -i -e 's|-msse2 -mfpmath=sse||g' CMakeLists.txt
%endif

%build
%cmake
%make 

%install
mkdir -p %{buildroot}/%{_libdir}/lv2
cd build
%make_install

%files
%doc README.md CHANGELOG LICENSE
%{_libdir}/lv2/*




%changelog
* Fri May 05 2017 animtim <animtim> 1.3-0.git20170505.1.mga6
+ Revision: 1099201
- update and adapt to mageia
- imported package lv2-fabla

